﻿# Adobe Reader Ext. Asian Language Fontpack
# 2016 foo.li systeme + software

$packageName    = 'foo-adobe-reader-fontpack'
$packageSearch  = 'Extended Asian Language font pack for Adobe Reader*'
$installerType  = 'MSI'
$version        = '11.0.0' #this is what is shown...
$mainversion    = '11.0.09'
$url            = 'http://ardownload.adobe.com/pub/adobe/reader/win/11.x/11.0.09/misc/FontPack11009_XtdAlf_Lang.msi'
$silentArgs     = '/qn /norestart'
$validExitCodes = @(0,3010)
$checksum       = '332C1AB8B7AB7C1A209623CA9236E0CE910F1BD1'
$checksumType   = 'sha1'

try {
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
            -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }

    #if ($app) {
    if ($app -and ([version]$app.DisplayVersion -ge [version]$version)) {
        Write-Output $(
        'Adobe Reader Ext. FontPack is already installed. ' +
        'No need to install again.'
        )
    } else {
        Install-ChocolateyPackage $packageName $fileType $silentArgs $url `
        -checksum $checksum -checksumType $checksumType -validExitCodes $validExitCodes
        Write-Host 'housekeeping...'
        Remove-Item -Path "${env:PUBLIC}\Desktop\Adobe Reader XI.lnk" -ErrorAction SilentlyContinue
    }
} catch {
    throw $_.Exception
}